## chronicle 0.1.0

=== DESCRIPTION ===
Package: chronicle
Type: Package
Title: Grammar for Creating R Markdown Reports
Version: 0.1.0
Authors@R: person("Philippe", "Heymans Smith", email = "pheymanss@gmail.com",
    role = c("aut", "cre"))
Description: A system for creating beautiful and interactive R Markdown reports
    by adding modules like plots and tables to an empty header.
Depends: R (>= 3.5.0), data.table, magrittr, rlang
License: GPL (>= 3)
Encoding: UTF-8
Imports: DT, dygraphs, ggplot2, glue, knitr, plotly, prettydoc, purrr,
        RColorBrewer, readr, rmarkdown, scales, stats, viridis, zoo
Suggests: devtools
LazyData: true
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-01-19 03:06:50 UTC; pheym
Author: Philippe Heymans Smith [aut, cre]
Maintainer: Philippe Heymans Smith <pheymanss@gmail.com>
Repository: CRAN
Date/Publication: 2021-01-21 10:30:02 UTC
