## chronicle 0.2.0

=== DESCRIPTION ===
Package: chronicle
Type: Package
Title: Grammar for Creating R Markdown Reports
Version: 0.2.0
Authors@R: person("Philippe", "Heymans Smith", email = "pheymanss@gmail.com",
    role = c("aut", "cre"))
Description: A system for creating beautiful and interactive R Markdown reports
    by adding modules like plots and tables to an empty header.
Depends: R (>= 3.5.0), rlang, magrittr, data.table
License: GPL (>= 3)
Encoding: UTF-8
Imports: DT, dygraphs, ggplot2, glue, knitr, plotly, prettydoc, purrr,
        RColorBrewer, readr, rmarkdown, scales, stats, viridis, zoo
Suggests: bookdown, devtools, flexdashboard, pagedown, rolldown, tufte,
        xaringan
LazyData: true
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-01-25 03:45:51 UTC; pheym
Author: Philippe Heymans Smith [aut, cre]
Maintainer: Philippe Heymans Smith <pheymanss@gmail.com>
Repository: CRAN
Date/Publication: 2021-01-25 11:40:08 UTC
