## chronicle 0.2.5

=== DESCRIPTION ===
Package: chronicle
Type: Package
Title: Grammar for Creating R Markdown Reports
Version: 0.2.5
Authors@R: person("Philippe", "Heymans Smith", email = "pheymanss@gmail.com",
    role = c("aut", "cre"))
Description: A system for creating beautiful and interactive R Markdown reports
    by adding modules like plots and tables to an empty header.
Depends: R (>= 3.5.0), rlang, magrittr, data.table
License: GPL (>= 3)
Encoding: UTF-8
Imports: DT, dygraphs, ggplot2, glue, knitr, plotly, prettydoc, purrr,
        readr, rmarkdown, rmdformats, scales, skimr, stats, viridis,
        zoo
Suggests: bookdown, devtools, flexdashboard, pagedown, rolldown,
        rticles, tufte, xaringan
LazyData: true
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-03-03 16:20:31 UTC; pheym
Author: Philippe Heymans Smith [aut, cre]
Maintainer: Philippe Heymans Smith <pheymanss@gmail.com>
Repository: CRAN
Date/Publication: 2021-03-04 01:10:02 UTC
