## chronicle 0.3

=== DESCRIPTION ===
Package: chronicle
Type: Package
Title: Grammar for Creating R Markdown Reports
Version: 0.3
Authors@R: person("Philippe", "Heymans Smith", email = "pheymanss@gmail.com",
    role = c("aut", "cre"))
Description: A system for creating R Markdown reports with a sequential syntax.
Depends: R (>= 3.5.0), magrittr
License: GPL (>= 3)
Encoding: UTF-8
Imports: data.table, DT, dplyr, dygraphs, ggplot2, glue, knitr, plotly,
        prettydoc, purrr, readr, rlang, rmarkdown, rmdformats, scales,
        skimr, stats, viridis, zoo
Suggests: bookdown, devtools, flexdashboard, pagedown, rolldown,
        rticles, tufte, xaringan
VignetteBuilder: knitr
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-06-25 02:46:39 UTC; pheym
Author: Philippe Heymans Smith [aut, cre]
Maintainer: Philippe Heymans Smith <pheymanss@gmail.com>
Repository: CRAN
Date/Publication: 2021-06-25 05:00:02 UTC
