## chronicle 3.4

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = ${TMP}
-VERSION     = 3.0
+VERSION     = 3.4
 BASE        = chronicle
 
 
@@ -44,6 +44,7 @@
 	@find . -name '*.1' -exec rm \{\} \;
 	@find . -name '*.bak' -exec rm \{\} \;
 	@find . -name '*.tmp' -exec rm \{\} \;
+	@if [ -e .version ]; then rm -f .version; fi
 	@if [ -d comments ]; then rm -rf comments; fi
 	@if [ -d output   ]; then rm -rf output; fi
 	@if [ -e build-stamp ]; then rm -f build-stamp; fi
@@ -94,15 +95,16 @@
 	mv $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz .
 	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)
 	gpg --armour --detach-sign $(BASE)-$(VERSION).tar.gz
+	echo $(VERSION) > .version
+
 
 
 #
 #  Tidy the code
 #
 tidy:
-	if [ -x /usr/bin/perltidy ]; then \
-	perltidy -b -nt -bt=2 -sbt=1 -bl  -mbl=3 -sbl -bbs -bbb -anl  -lp bin/chronicle ;\
-	perltidy -b -nt -bt=2 -sbt=1 -bl  -mbl=3 -sbl -bbs -bbb -anl  -lp cgi-bin/comments.cgi \
+	if [ -x ~/bin/perltidy ]; then \
+           ~/bin/perltidy ./bin/chronicle ./cgi-bin/comments.cgi \
 	; fi
