## chronicle 4.1

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = ${TMP}
-VERSION     = 3.9
+VERSION     = 4.1
 BASE        = chronicle
 
 
@@ -27,10 +27,16 @@
 	@echo "Valid targets are (alphabetically) :"
 	@echo " "
 	@echo " clean         = Remove bogus files and any local output."
+	@echo " demos[*]      = Generate and upload demo blogs."
 	@echo " diff          = See the local changes."
+	@echo " install       = Install upon the local system."
+	@echo " release [*]   = Generate a release tarball."
 	@echo " test          = Run our simple test cases."
 	@echo " test-verbose  = Run our simple test cases, verbosely."
+	@echo " tidy [*]      = Tidy the code via perltidy."
 	@echo " update        = Update from the remote repository."
+	@echo " "
+	@echo "[*] - These targets are Steve-specific.  Probably."
 	@echo " "
 
 
@@ -53,6 +59,13 @@
 
 
 #
+#  Run perlcritic on our scripts
+#
+critic:
+	perlcritic bin/*
+
+
+#
 #  Show what has been changed in the local copy vs. the remote repository.
 #
 diff:
@@ -60,16 +73,18 @@
 
 
 #
-#  Install to /usr/local/bin
+#  Install to /usr/bin
 #
 #  Install the themes without hardwiring a list of them.
 #
 install:
 	mkdir -p ${prefix}/etc
 	cp ./etc/chroniclerc ${prefix}/etc/chroniclerc
-	mkdir -p ${prefix}/usr/local/bin
-	cp ./bin/chronicle ${prefix}/usr/local/bin
-	cp ./bin/chronicle-spooler ${prefix}/usr/local/bin
+	mkdir -p ${prefix}/usr/bin
+	cp ./bin/chronicle ${prefix}/usr/bin
+	cp ./bin/chronicle-spooler ${prefix}/usr/bin
+	cp ./bin/chronicle-entry-filter ${prefix}/usr/bin
+	cp ./bin/chronicle-rss-importer ${prefix}/usr/bin
 	mkdir -p ${prefix}/usr/share/chronicle/themes/xml
 	cp -r ./themes/xml/*.* ${prefix}/usr/share/chronicle/themes/xml
 	for i in themes/*/; do \
@@ -81,11 +96,12 @@
 #
 #  Make a new release tarball, and make a GPG signature.
 #
-release: tidy clean
+release: tidy clean 
 	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)
 	rm -f $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz
 	cp -R . $(DIST_PREFIX)/$(BASE)-$(VERSION)
 	perl -pi.bak -e "s/UNRELEASED/$(VERSION)/g" $(DIST_PREFIX)/$(BASE)-$(VERSION)/bin/chronicle
+	perl -pi.bak -e "s/UNRELEASED/$(VERSION)/g" $(DIST_PREFIX)/$(BASE)-$(VERSION)/bin/chronicle-entry-filter
 	perl -pi.bak -e "s/UNRELEASED/$(VERSION)/g" $(DIST_PREFIX)/$(BASE)-$(VERSION)/bin/chronicle-spooler
 	rm  $(DIST_PREFIX)/$(BASE)-$(VERSION)/bin/*.bak
 	find  $(DIST_PREFIX)/$(BASE)-$(VERSION) -name ".hg*" -print | xargs rm -rf
@@ -106,7 +122,7 @@
 #
 tidy:
 	if [ -x ~/bin/perltidy ]; then \
-           ~/bin/perltidy ./bin/chronicle ./cgi-bin/comments.cgi \
+           ~/bin/perltidy ./bin/chronicle-entry-filter ./bin/chronicle-spam-test ./bin/chronicle-spooler ./bin/chronicle-rss-importer ./bin/chronicle ./cgi-bin/comments.cgi \
 	; fi
 
 
@@ -128,14 +144,15 @@
 #
 #  Update the local copy from the remote repository.
 #
-#  NOTE: Removes empty local directories.
-#
 update:
 	hg pull --update
 
 
-steve:
-	./bin/chronicle --theme-dir=./themes --theme=default --url-prefix=http://www.steve.org.uk/Software/chronicle/demo/ --pre-build="/bin/rm -rf ./output" --post-build="rsync -q -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
+#
+#  Generate the demo blogs.
+#
+demos:
+	./bin/chronicle --theme-dir=./themes --theme=default --url-prefix=http://www.steve.org.uk/Software/chronicle/demo/ --pre-build="/bin/rm -rf ./output" --post-build="rsync -q -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle" --date-archive-path
 	./bin/chronicle  --theme-dir=./themes --theme=copyrighteous --url-prefix=http://www.steve.org.uk/Software/chronicle/demo2/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -q -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo2/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
 	./bin/chronicle --date-archive-path --theme-dir=./themes --theme=blocky --url-prefix=http://www.steve.org.uk/Software/chronicle/demo3/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -q -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo3/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
 	./bin/chronicle --theme-dir=./themes --theme=leftbar --url-prefix=http://www.steve.org.uk/Software/chronicle/demo4/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -q -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo4/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
