=== debian/changelog ===
chronicle (4.4-1) unstable; urgency=low

  * Correctly cope with the formatting and display of dates in foreign locales,
    via "--lang=French" (for example), or via the matching setting in the configuration
    file.

 -- Steve Kemp <skx@debian.org>  Thu, 15 Apr 2010 23:00:32 +0000

chronicle (4.3-1) unstable; urgency=low

  * Correctly seperate the header/body of a blog post when running
    Cygwin upon Microsoft Windows platforms.
  * Significant speedup rebuilding blogs when using Danga's memcached.
  * Added xref support to entries.

 -- Steve Kemp <skx@debian.org>  Sat, 27 Mar 2010 09:33:09 +0000

chronicle (4.2-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format

 -- Steve Kemp <skx@debian.org>  Sat, 20 Feb 2010 22:05:26 +0000

chronicle (4.2-1) unstable; urgency=low

  * New upstream release
    - Added support for multi-markdown as an input format.
  * Updated standards version to 3.8.4 - no changes.

 -- Steve Kemp <skx@debian.org>  Sun, 14 Feb 2010 14:16:18 +0000

chronicle (4.1-3) unstable; urgency=high

  * Attempt to correctly invoke the filter, such that entries have their
    UTF-8 entries preserved.  (Closes: #566106)

 -- Steve Kemp <skx@debian.org>  Mon, 25 Jan 2010 19:19:19 +0000

chronicle (4.1-2) unstable; urgency=high

  * Restore correct handling of UTF-8.

 -- Steve Kemp <skx@debian.org>  Wed, 7 Jan 2010 18:50:18 +0000

chronicle (4.1-1) unstable; urgency=low

  * New upstream release:
    - Moves the conversion of different blog formats to an external
      helper program.  (chronicle-entry-filter)
    - Makes a newline seperating the blog pseudo-header from the body
      mandatory.
    - Adds syntax filtering via <code lang="perl"> if Text::VimColor
      is present.
    - Suggest: The installation of the libtext-vimcolor-perl package.

 -- Steve Kemp <skx@debian.org>  Sun, 3 Jan 2010 17:05:17 +0000

chronicle (4.0-1) unstable; urgency=low

  * New upstream release:
    - Reads and writes all files as UTF8 rather than latin1.  (Closes: #502484)
    - Moved the chronicle-rss-imported into the system install.
    - Many minor fixes and cleanups.

 -- Steve Kemp <skx@debian.org>  Sun, 6 Dec 2009 02:04:06 +0000

chronicle (3.9-1) unstable; urgency=low

  * Updated all themes which are included by default:
    - Each theme now fully validates.
    - Each theme now uses a header.inc, footer.inc, and sidebar.inc file.
  * Support the use of a local temple-override directory specified via
    the HTML_TEMPLATE_ROOT environmental variable.

 -- Steve Kemp <skx@debian.org>  Sat, 3 Oct 2009 08:49:01 +0000

chronicle (3.8-1) unstable; urgency=low

  * Add the chronicle-spam-test script to the examples/ directory.
  * Avoid generating a sitemap.xml file if no URL prefix has been
    defined.  (Closes: #545198)
  * Allow the sitemap.xml to use an URL prefix even if the site-prefix
    isn't set, with --sitemap-prefix=

 -- Steve Kemp <skx@debian.org>  Sat, 26 Sep 2009 10:30:01 +0000

chronicle (3.7-1) unstable; urgency=medium

  * Added the generation of a sitemap.xml file to the top level of the blog.
  * Bumped standards version to 3.8.3 - no changes required.

 -- Steve Kemp <skx@debian.org>  Thur, 20 August 2009 6:32:06 +0000

chronicle (3.6-1) unstable; urgency=medium

  * Updated the simple theme.
  * Added the option "--author" to allow the authors email address to
    be specified.  This allows author-posted comments to be highlighted
    via CSS.
    (Demonstrated by the simple theme.)
  * Added support for gravitar icons
  * Added support for homepage/link collection & display in comments.

 -- Steve Kemp <skx@debian.org>  Sun, 22 June 2009 11:11:11 +0000

chronicle (3.5-1) unstable; urgency=medium

  * Added a new theme "simple".
  * Added the option "--date-archive-path" to create archives in
    subdirectories.

 -- Steve Kemp <skx@debian.org>  Sun, 22 Feb 2009 08:22:08 +0000

chronicle (3.4-1) unstable; urgency=medium

  * Abort if non-unique titles are encountered.
    (Closes: #508268)
  * Allow date + tag views to be sorted "most recent first",
    via new command line arguments / configuration file options.

 -- Steve Kemp <skx@debian.org>  Wed, 10 Dec 2008 20:22:02 +0000

chronicle (3.3-1) unstable; urgency=medium

  * Default to UTF-8 when processing input in textile formats.  Allow
    --charset=foo to override this.
    Thanks to  Nicolau Werneck for the patch.

 -- Steve Kemp <skx@debian.org>  Sun, 6 Dec 2008 22:16:22 +0000

chronicle (3.2-2) unstable; urgency=medium

  * Install the file cgi-bin/comments.cgi alongside the other example
    files.  (Closes: #504270)

 -- Steve Kemp <skx@debian.org>  Sun, 2 Nov 2008 14:55:41 +0000

chronicle (3.2-1) unstable; urgency=high

  * New upstream release.
    - Applied patch from Byron Clark to support non-GMT timezones.

 -- Steve Kemp <skx@debian.org>  Thu, 9 Oct 2008 19:55:19 +0000

chronicle (3.1-1) unstable; urgency=high

  * New upstream release.
    - Correctly sort submitted comments by their submission time &date.

 -- Steve Kemp <skx@debian.org>  Mon, 1 Sep 2008 20:40:59 +0000

chronicle (3.0-1) unstable; urgency=high

  * New upstream release.
    - Updated standards version to 3.8.0

 -- Steve Kemp <skx@debian.org>  Wed, 23 Jul 2008 18:19:20 +0000

chronicle (2.9-3) unstable; urgency=high

  * Added "suggests" to package for
    - libtext-markdown-perl
    - libtext-textile-perl
    (Closes: #488406)

 -- Steve Kemp <skx@debian.org>  Sun, 25 May 2008 14:44:41 +0000

chronicle (2.9-2) unstable; urgency=high

  * Bugfix: Allow "--format=markdown" to work correctly.
  * Allow per-entry format selection via "Format: [html|textile|..]"
    psuedo-header.

 -- Steve Kemp <skx@debian.org>  Sun, 25 May 2008 14:44:41 +0000

chronicle (2.9-1) unstable; urgency=high

  * Bugfix:  Don't use invalid dates when sorting.

 -- Steve Kemp <skx@debian.org>  Fri, 16 May 2008 17:47:27 +0000

chronicle (2.8-1) unstable; urgency=low

  * New upstream release:

