=== debian/control ===
Source: chronicle
Section: web
Priority: extra
Maintainer: Steve Kemp <skx@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.4
Homepage: http://www.steve.org.uk/Software/chronicle/

Package: chronicle
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libtimedate-perl, libhtml-template-perl, perl-modules
Suggests: memcached, libtext-markdown-perl, libtext-textile-perl, libtext-vimcolor-perl
Description: HTML & RSS blog compiler
 This is a tool which will convert a directory of simple
 text files into a static HTML weblog, (or blog if you prefer).
 .
  The system is intentionally simple, but it supports:
 .
  * RSS feed creation.
 .
  * Template based output.
 .
  * The tagging of entries.
 .
  * User comments upon entries.
