=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: chronicle
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}, libtimedate-perl, libhtml-template-perl, perl-modules
-Suggests: memcached, libtext-markdown-perl, libtext-textile-perl, libtext-vimcolor-perl
+Suggests: memcached, libtext-markdown-perl, libtext-textile-perl, libtext-vimcolor-perl, libsoap-lite-perl
 Description: HTML & RSS blog compiler
  This is a tool which will convert a directory of simple
  text files into a static HTML weblog, (or blog if you prefer).
@@ -22,4 +22,6 @@
  .
   * The tagging of entries.
  .
+  * Notification of ping services upon blog rebuild.
+ .
   * User comments upon entries.
