=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp

build-stamp:
	dh_testdir
	pod2man bin/chronicle              > chronicle.1
	pod2man bin/chronicle-spooler      > chronicle-spooler.1
	pod2man bin/chronicle-entry-filter > chronicle-entry-filter.1
	pod2man bin/chronicle-rss-importer > chronicle-rss-importer.1
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f *.1
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) prefix=$(CURDIR)/debian/chronicle install


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples bin/check-titles cgi-bin/comments.cgi bin/chronicle-spam-test
	dh_installman *.1
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# No arch-dependent package

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
