=== debian/changelog ===
chronicle (4.6-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 16:33:45 +0100

chronicle (4.6-2) unstable; urgency=low

  * debian/patches/fix_encoding_for_templates.patch: Added to fix problem with
    UTF-8 encoded templates.
  * debian/source/local-options: Added with "unapply-patches".

 -- Kai Wasserbäch <curan@debian.org>  Sun, 15 May 2011 20:12:40 +0200

chronicle (4.6-1) unstable; urgency=low

  * New upstream version. (Closes: #615891)
  * debian/control:
    - Take over maintenance with Steve's permission. Thanks for all your
      work, Steve!
    - Vcs-{Git,Browser} fields added.
    - Bumped Standards-Version to 3.9.2, no further changes needed (except the
      update to debian/copyright).
    - Minor reformatting of Description.
    - B-D on dh >=8.
  * debian/watch:
    - Added git-import-orig.
    - Silence debian-watch-contains-dh_make-template.
  * debian/gbp.conf: Ensure pristine-tar usage.
  * debian/copyright: Updated.
  * debian/rules: Converted to minimal version.
  * debian/chronicle.examples: Added.
  * debian/compat: Bumped to 8.
  * debian/clean: Added.
  * debian/dirs: Deleted (is superfluous now).
  * debian/NEWS: Fixed debian-news-entry-uses-asterisk.

 -- Kai Wasserbäch <curan@debian.org>  Tue, 03 May 2011 14:31:57 +0200
