=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: chronicle
 Section: web
 Priority: extra
-Maintainer: Steve Kemp <skx@debian.org>
-Build-Depends: debhelper (>= 5)
-Standards-Version: 3.8.4
+Maintainer: Kai Wasserbäch <curan@debian.org>
+Build-Depends: debhelper (>= 8)
+Standards-Version: 3.9.2
 Homepage: http://www.steve.org.uk/Software/chronicle/
+Vcs-Git: git://git.carbon-project.org/chronicle.git
+Vcs-Browser: http://gitweb.carbon-project.org/?p=chronicle.git;a=summary
 
 Package: chronicle
 Architecture: all
@@ -14,14 +16,10 @@
  This is a tool which will convert a directory of simple
  text files into a static HTML weblog, (or blog if you prefer).
  .
-  The system is intentionally simple, but it supports:
+ The system is intentionally simple, but it supports:
  .
   * RSS feed creation.
- .
   * Template based output.
- .
   * The tagging of entries.
- .
   * Notification of ping services upon blog rebuild.
- .
   * User comments upon entries.
