=== debian/rules ===
#!/usr/bin/make -f

override_dh_installman:
	pod2man bin/chronicle              > chronicle.1
	pod2man bin/chronicle-spooler      > chronicle-spooler.1
	pod2man bin/chronicle-entry-filter > chronicle-entry-filter.1
	pod2man bin/chronicle-rss-importer > chronicle-rss-importer.1
	pod2man bin/chronicle-ping         > chronicle-ping.1
	dh_installman *.1

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/chronicle

# Empty override to skip until I've decided whether I want the extra B-Ds for
# the tests.
override_dh_auto_test:

%:
	dh $@

.PHONY: override_dh_installman override_dh_auto_install override_dh_auto_test
