=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://www.steve.org.uk/Software/chronicle/ chronicle-(.*)\.tar\.gz \
  debian git-import-orig
